{
  template: '${tmpl}',
    data: function() {
      return {
        typeListShow: false,
        typeList: [
          { code: "01", name: "化学原料", type: 1 }, { code: "02", name: "颜料油漆", type: 1 }, { code: "03", name: "日化用品", type: 1 }, { code: "04", name: "燃料油脂", type: 1 }, { code: "05", name: "医药", type: 1 },
          { code: "06", name: "金属材料", type: 1 }, { code: "07", name: "机械设备", type: 1 }, { code: "08", name: "手工器械", type: 1 }, { code: "09", name: "科学仪器", type: 1 }, { code: "10", name: "医疗器械", type: 1 },
          { code: "11", name: "灯具空调", type: 1 }, { code: "12", name: "运输工具", type: 1 }, { code: "13", name: "军火烟火", type: 1 }, { code: "14", name: "珠宝钟表", type: 1 }, { code: "15", name: "乐器", type: 1 },
          { code: "16", name: "办公用品", type: 1 }, { code: "17", name: "橡胶制品", type: 1 }, { code: "18", name: "皮革皮具", type: 1 }, { code: "19", name: "建筑材料", type: 1 }, { code: "20", name: "家具", type: 1 },
          { code: "21", name: "厨房洁具", type: 1 }, { code: "22", name: "绳网袋篷", type: 1 }, { code: "23", name: "纱线丝", type: 1 }, { code: "24", name: "布料床单", type: 1 }, { code: "25", name: "服装鞋帽", type: 1 },
          { code: "26", name: "纽扣拉链", type: 1 }, { code: "27", name: "地毯席垫", type: 1 }, { code: "28", name: "健身器材", type: 1 }, { code: "29", name: "食品", type: 1 }, { code: "30", name: "方便食品", type: 1 },
          { code: "31", name: "饲料种籽", type: 1 }, { code: "32", name: "啤酒饮料", type: 1 }, { code: "33", name: "酒", type: 1 }, { code: "34", name: "烟草烟具", type: 1 }, { code: "35", name: "广告销售", type: 1 },
          { code: "36", name: "金融物管", type: 1 }, { code: "37", name: "建筑修理", type: 1 }, { code: "38", name: "通讯服务", type: 1 }, { code: "39", name: "运输贮藏", type: 1 }, { code: "40", name: "材料加工", type: 1 },
          { code: "41", name: "教育娱乐", type: 1 }, { code: "42", name: "网站服务", type: 1 }, { code: "43", name: "餐饮住宿", type: 1 }, { code: "44", name: "医疗园艺", type: 1 }, { code: "45", name: "社会服务", type: 1 }
        ],
        checkAll: false,
        checkedType: [],
        isIndeterminate: true,
        typeListShow: false,
        translate: null,
        dataList: [],
        dataListFake: [
          {
            title: "123",
            img: "/imgs/jdcloud/jdtrademark/t1.png",
            describe: [{
              pic: "imgs/jdcloud/jdtrademark/dbx.png",
              info: "自己检索商标,准备官方所需注册材料"
            }, {
              pic: "imgs/jdcloud/jdtrademark/dbx.png",
              info: "提交迅速,及时反馈"
            }, {
              pic: "imgs/jdcloud/jdtrademark/dbx.png",
              info: "全流程跟踪,掌握申请进度"
            }
            ],
          },
          {
            title: "123",
            img: "/imgs/jdcloud/jdtrademark/t2.png",
            describe: [{
              pic: "imgs/jdcloud/jdtrademark/dbx.png",
              info: "由专业代理人帮您检索分析,成功率高"
            }, {
              pic: "imgs/jdcloud/jdtrademark/dbx.png",
              info: "为您优化注册方案,全方位保护"
            }, {
              pic: "imgs/jdcloud/jdtrademark/dbx.png",
              info: "代理人全流程服务,24小时拿到官方申请号"
            }],
          },
          {
            title: "123",
            img: "/imgs/jdcloud/jdtrademark/t3.png",
            describe: [{
              pic: "imgs/jdcloud/jdtrademark/dbx.png",
              info: "专业代理人精准评估,风险共担"
            }, {
              pic: "imgs/jdcloud/jdtrademark/dbx.png",
              info: "注册不成功,全额退款"
            }, {
              pic: "imgs/jdcloud/jdtrademark/dbx.png",
              info: "24小时拿到官方申请号"
            }],
          },



        ],
        current: 1,
        serviceData: [
          {
            img: "imgs/jdcloud/jdtrademark/services1.png",
            name: "注册评估低风险",
            text: "商标注册存在驳回失败风险，利用大数据分析和智能检索工具可快速查出近似商标注册信息及状态，帮助提高通过率",
          },
          {
            img: "imgs/jdcloud/jdtrademark/services2.png",
            name: "简化流程高效注册",
            text: "提供商标自助申报系统，可自定义选择注册类别，同时利用工商大数据查询企业信息功能，提高申请效率",
          },
          {
            img: "imgs/jdcloud/jdtrademark/services3.png",
            name: "最快1分钟提交商标局",
            text: "支持商标自助线上提交申请、线上跟进商标订单，利用人工智能提交机器人，最快实现1分钟提交至商标局",
          },
          {
            img: "imgs/jdcloud/jdtrademark/services4.png",
            name: "申请进度实时掌握",
            text: "提供在线标准化服务，流程透明可视化，关键流程通过短信、邮件通知，申请进度一目了然",
          },
          {
            img: "imgs/jdcloud/jdtrademark/services5.png",
            name: "简单管理易维护",
            text: "在商标管理控制台，数据在线保存实时同步到云端，各类进度随时掌握，方便查找各类商标订单",
          },
          {
            img: "imgs/jdcloud/jdtrademark/services6.png",
            name: "多种服务供您选择",
            text: "行业合作伙伴为您提供专业服务，可一对一进行问题解答与业务建议，满足您多元的商标需求",
          },
        ],
        issue: [
          {
            img: "imgs/jdcloud/jdtrademark/FAQ1.png",
            title: "什么是商标？什么是注册商标？",
            text: "商标是指任何能够将自然人、法人或者其他组织的商品/服务与他人的商品/服务区别开的标志，包括文字、图形、字母、数字、三维标志、颜色组合和声音等，以及上述要素的组合。 注册商标是指经过商标主管机关依照法定程序及标准进行审查并通过，经《初步审定公告》无人提出异议的商标。"
          },
          {
            img: "imgs/jdcloud/jdtrademark/FAQ2.png",
            title: "商标注册有风险吗？",
            text: "商标注册存在被商标局驳回导致申请失败的风险。申请驳回失败原因可能有：受可用文字、标识资源限制，新的商标申请容易与在先申请的商标产生近似；法律法规的相关限制等。据不完全的统计，2017年我国商标申请的驳回率约50%，2018年我国商标申请的驳回率约40%。为提高商标注册成功率，申请人可在申请时提前做好应对准备。 建议： (1) 若申请人不具有一定的专业能力，尽量选择有专业顾问指导的“专家辅助申请”和“担保注册申请”。 (2)申请时将中文、英文、图形等分开申请，通过后可以组合使用,以避免因某一部分近似而被商标局整体驳回的情况，且分开申请可以根据场景灵活组合使用。 (3) 准备备用方案，申请时可以在主要商标申请方案的基础上，增加一到两件备用商标，以便在主商标无法通过或全部通过的情况下，有其他可以使用的商标。"
          },
          {
            img: "imgs/jdcloud/jdtrademark/FAQ3.png",
            title: "商标申请费用的标准？",
            text: "商标局规费收取标准为： 300元/类·件，即：1件商标在1个类别中申请10个（含10个）以内的商品。超过10个商品，每超过1个商品，每个商品加收30元。 即：在一个类别中指定15项商品，规费为：300+（15-10）×30=450元"
          },

        ],
        showArrows: false,
        searchValue: "",
        channelBanner: "",
      }
    },
  mounted: function() {
    this.$root.loading = true;
    this.getChannerBanner();
    this.$root.accessTitle();
    var obj = this.$root.copyParams({ channelUserId: "", itemCode: "sbfu" }, "getProductListByTypeOneCode", "/action/tmOrder/springBoard");
    this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then((d) => {
      this.$root.loading = false;
      console.log(d, "cccccccccccccccccc");
      if (d.status == 0) {
        this.dataList = d.data;
        this.dataList.map((item, index) => {
          console.log(item.productDesc);
          item.productDesc = JSON.parse(item.productDesc);
        });
      }
    });
    var swiper = new Swiper('.swiper-container', {
      slidesPerView: 3,
      spaceBetween: 0,
      pagination: {
        el: '.swiper-pagination',
        clickable: true,
      },
      navigation: {
        nextEl: '.swiper-button-next',
        prevEl: '.swiper-button-prev',
      },
      centeredSlides: false,
    });


  },
  created: function() {
    this.$root.channelName = location.hash.split('/')[1];
    localStorage.channelName = this.$root.channelName;
  },
  methods: {
    getChannerBanner(){
      console.log(this.$root.channelName, "ddddddddddddddddddddddddddd");
      switch (this.$root.channelName) {
        case 'jd':
          this.channelBanner = "background: url(/imgs/jdcloud/jdtrademark/banner.png) center center no-repeat";
          break;
        case 'bw':
          this.channelBanner = "background: url(/imgs/jdcloud/jdtrademark/bwbanner.png) center center no-repeat";
          break;
        default:
          this.channelBanner = "background: url(/imgs/jdcloud/jdtrademark/banner.png) center center no-repeat";
          break;
      }
    },
    goIndentList(){
      switch (this.$root.channelName) {
        case "jd":
          location.href = "https://oauth2.jdcloud.com/authorize?response_type=token&redirect_uri=https://tm.plus.jdcloud.com/jdtm/getUser&state=jdindentlist&client_id=9491577327154697";
          break;
        case "bw":
          console.log($.cookie("channelUserId"), `llllllllllllllllllllllll`);

          if ($.cookie("userpin")) {
            this.$router.push({
              path: `/${this.$root.channelName}/jdindentlist`,
              query: { channelUserId: $.cookie("channelUserId") }
            });
          } else {
            this.$message.warning("请登录");
            this.$router.push({
              path: `/${this.$root.channelName}/login`,
            });
          }


          break;
        default:
          break;
      }


    },
    handleCheckAllChange(val) {
      if (val) {
        let data = [];
        this.typeList.map((item, index) => {
          data.push(`${item.code}${item.name}`);
        });
        this.checkedType = data;
        this.isIndeterminate = false;
        console.log(this.checkedType, this.typeList, "1111111111");

      } else {
        this.checkedType = [];
      }
    },
    /*类别选中项 */
    handleCheckedCitiesChange(value) {
      this.checkedType = value;
      console.log(this.checkedType, this.searchValue);

      let checkedCount = value.length;
      this.checkAll = checkedCount === this.typeList.length;
      this.isIndeterminate = checkedCount > 0 && checkedCount < this.typeList.length;
    },
    /*swiper区域添加class */
    adHeight(index, event){
      this.current = index;
    },
    goSearch(){
      this.$router.push({
        path: `/${this.$root.channelName}/jdbycquerytm`,
        query: {
          checkedNcl: JSON.stringify(this.checkedType),
          tminput: this.searchValue,
        }
      });
    },
    jumpJdProductDetails(code){
      console.log(this.$root.channelName);
      switch (this.$root.channelName) {
        case "jd":
          if (code.channelItemCode) {
            switch (code.itemCode) {
              case "zzsbzc":
                location.href = "https://oauth2.jdcloud.com/authorize?response_type=token&redirect_uri=https://tm.plus.jdcloud.com/jdtm/getUser&state=selftmreg&client_id=9491577327154697";
                /*this.$router.push({ path: "/jd/selftmreg", query: {} });*/
                break;
              case "fzsbzc":

              case "dbsbzc":
                let productId = code.channelItemCode.split('-')[1];
                console.log(code.channelItemCode.split('-'), "xxxxxxxxxxxxxx");
                window.open(`https://market.jdcloud.com/service/details/${productId}`);
                break;
              default:
                break;
            }
          } else {
            return
          }
          break;
        case "bw":
          if (code.channelItemCode) {
            switch (code.itemCode) {
              case "zzsbzc":
                
                  this.$router.push({
                    path: `/${this.$root.channelName}/bwselftmreg`, query: {
                      sdsId: code.channelItemCode
                    }
                  });
                
                /*this.$router.push({ path: "/jd/selftmreg", query: {} });*/
                break;
              case "fzsbzc":

              case "dbsbzc":
                this.$router.push({
                  path: `/${this.$root.channelName}/servicedetails`, query: {
                    sdsId: code.channelItemCode
                  }
                });
                break;
              default:
                break;
            }
          } else {
            this.$message({
              type: "warning",
              message: "没有当前产品信息"
            })
          }


          break;

        default:
          break;
      }


    }
  },
  vname: "gsb-jdtrademark"
}
